Package com.rosivanyshyn.controller.other.apartment

# Enum Class SortingFields

java.lang.Object
java.lang.Enum<SortingFields>
com.rosivanyshyn.controller.other.apartment.SortingFields

All Implemented Interfaces:
  `Serializable`, `Comparable<SortingFields>`, `Constable`

public enum SortingFields extends Enum<SortingFields>
Sorting Fields enum.
fields by which to sort apartments

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASS`
  `MAX_GUESTS_NUMBER`
  `PRICE`
  `STATUS`
  `STATUS_AVAILABILITY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SortingFields`
  `get(String input)`
  Get enum value from string
  `String`
  `getField()`
  `static SortingFields`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortingFields[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRICE

    public static final SortingFields PRICE

  - ### MAX_GUESTS_NUMBER

    public static final SortingFields MAX_GUESTS_NUMBER

  - ### CLASS

    public static final SortingFields CLASS

  - ### STATUS

    public static final SortingFields STATUS

  - ### STATUS_AVAILABILITY

    public static final SortingFields STATUS_AVAILABILITY

- ## Method Details

  - ### values

    public static SortingFields[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SortingFields valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getField

    public String getField()

  - ### get

    public static SortingFields get(String input)
    Get enum value from string
    Parameters:
      `input` - role name in string format
    Returns:
      role name in enum format